
(use suspension extras)


(let ((args (command-line-arguments)))
  (cond ((member "store" args)
	 (print "saving ...")
	 (with-limited-continuation
	  (lambda ()
	    (let ((r (continuation-suspend
		      (lambda (k)
			(with-output-to-file "k.data" (cut display k))))))
	      (print "reenter: " r)
	      (exit)))))
	((member "load" args)
	 (print "loading ...")
	 (continuation-resume
	  (with-input-from-file "k.data" read-string)
	  #f))
	(else (print "load or store?"))))
